
Foreman - Bug #37193

Pull provider installation template crash

02/21/2024 04:43 PM - Bernhard Suttner

Status: Closed   

Priority: Normal   

Assignee: Bernhard Suttner   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.10.0, 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10062,

https://github.com/theforeman/foreman/p

ull/10103

  

Description

This 

https://github.com/theforeman/foreman/blob/develop/app/views/unattended/provisioning_templates/registration/remote_execution_pu

ll_setup.erb#L24 does not work for Ubuntu / Debian.

It crashes with:

trap: ERR: bad trap

https://stackoverflow.com/questions/19622198/what-does-set-e-mean-in-a-bash-script

Associated revisions

Revision a8d870fb - 03/01/2024 08:15 AM - Bernhard Suttner

Fixes #37193 - trap ERR not supported on dash

History

#1 - 02/21/2024 04:52 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/10062 added

#2 - 03/01/2024 08:15 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/01/2024 09:00 AM - Bernhard Suttner

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a8d870fb01833f7f2c46f82369c736201a516e1e.

#4 - 03/19/2024 02:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10103 added

#5 - 03/20/2024 06:03 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added
